## networking-l2gw 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
Babel>=1.3
python-neutronclient>=2.6.0

=== debian/changelog ===
networking-l2gw (1:1.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * d/p/run-unit.patch: Ensure that unit tests are executed.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Mar 2016 17:16:52 +0000

networking-l2gw (2015.1.1+git20151117.4ec821f-1) unstable; urgency=medium

  * Initial release (Closes: #805367).

 -- James Page <james.page@ubuntu.com>  Tue, 17 Nov 2015 12:04:44 +0000

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-hacking (>= 0.9.2),
                     python-neutron (>= 1:7.0.0~),
                     python-neutronclient (>= 1:2.6.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pbr (>= 1.8),
                     python-subunit (>= 0.0.18),
                     python-tempest-lib (>= 0.9.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Homepage: http://neutron.openstack.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/networking-l2gw.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/networking-l2gw.git

Package: python-networking-l2gw
Architecture: all
Section: python
Depends: python-babel (>= 1.3),
         python-neutron (>= 1:7.0.0~),
         python-neutronclient (>= 1:2.6.0),
         python-pbr (>= 1.8),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Layer 2 gateway extension.

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends: python-networking-l2gw (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := git://github.com/openstack/networking-l2gw.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d + -f 1)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run networking_l2gw.tests.unit --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## networking-l2gw 1.0.0+git20160926.29cb4fe

=== debian/changelog ===
networking-l2gw (1:1.0.0+git20160926.29cb4fe-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot for OpenStack Newton.
  * d/p/0001-Include-alembic-migrations-in-module.patch: Cherry pick fix to
    ensure that alembic migrations are included in the package (LP: #1627656).

 -- James Page <james.page@ubuntu.com>  Mon, 26 Sep 2016 17:12:13 +0100

networking-l2gw (1:1.0.0+git20160906.5591b7c-0ubuntu1) yakkety; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ James Page ]
  * New upstream snapshot for OpenStack Newton (LP: #1610614).
  * Align (Build-)Depends with upstream.
  * d/rules,control: Switch to using os-testr for unit test execution.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Sep 2016 15:01:48 +0100

networking-l2gw (2015.1.1+git20151117.4ec821f-2) unstable; urgency=medium

  * Added myself as uploader.
  * Manually rm /etc/init/neutron-l2gateway-agent.override in a postrm. This
    fixes unowned files after purge (Closes: #810705).
  * VCS URLs using HTTPS.
  * Added a watch file.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Feb 2016 16:59:01 +0000

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d + -f 1)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## networking-l2gw 1.0.0+git20160927.29cb4fe3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=2.3.4 # BSD
neutron-lib>=0.4.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0

=== debian/changelog ===
networking-l2gw (1:1.0.0+git20160927.29cb4fe3-1) unstable; urgency=medium

  [ James Page ]
  * New upstream snapshot for OpenStack Newton (LP: #1610614).
  * Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * New upstream release based on Git snapshot:
    - Builds correctly (Closes: #841080).
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.8 (no change).
  * Using OpenStack's Gerrit as VCS URLs.
  * Point .gitreview to OpenStack's gerrit packaging-deb.
  * d/s/options: extend-diff-ignore of .gitreview and egg-info.
  * Added lsb-base runtime depends (Debian only, not on Ubuntu).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Sep 2016 15:26:29 +0200

networking-l2gw (1:1.0.0-1) unstable; urgency=medium

  [ James Page ]
  * New upstream release.
  * d/p/run-unit.patch: Ensure that unit tests are executed.

  [ Ondřej Nový ]
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

 -- James Page <james.page@ubuntu.com>  Fri, 05 Aug 2016 17:05:52 +0100

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 53~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage (>= 3.6),
                     python-hacking (>= 0.9.2),
                     python-neutron (>= 1:9.0.0~rc1),
                     python-neutron-lib (>= 0.4.0),
                     python-neutronclient (>= 1:5.1.0),
                     python-os-testr (>= 0.7.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pbr (>= 1.8),
                     python-subunit (>= 0.0.18),
                     python-tempest-lib (>= 0.9.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-networking-l2gw?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-networking-l2gw -b debian/newton
Homepage: http://neutron.openstack.org/

Package: python-networking-l2gw
Architecture: all
Section: python
Depends: python-babel (>= 2.3.4),
         python-neutron (>= 1:9.0.0~rc1),
         python-neutron-lib (>= 0.4.0),
         python-neutronclient (>= 1:5.1.0),
         python-pbr (>= 1.8),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Layer 2 gateway extension.

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends: python-networking-l2gw (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,18 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	ostestr
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in 2.7 ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'networking_l2gw.tests.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
 endif
 
 override_dh_clean:

## networking-l2gw 10.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD
neutron-lib>=1.1.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0

=== debian/changelog ===
networking-l2gw (1:10.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.
  * d/watch: Update to use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Tue, 28 Mar 2017 05:18:53 +0100

networking-l2gw (1:1.0.0+git20170315.37fe94-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/p/0001-Include-alembic-migrations-in-module.patch: Dropped. Patch has
    landed upstream.

  [ James Page ]
  * New upstream snapshot for OpenStack Ocata.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Mar 2017 09:54:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: networking-l2gw
 Section: net
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>,
            Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9~),
                dh-python,
-               openstack-pkg-tools (>= 53~),
+               openstack-pkg-tools (>= 23~),
                python-all,
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage (>= 3.6),
                      python-hacking (>= 0.9.2),
-                     python-neutron (>= 1:9.0.0~rc1),
-                     python-neutron-lib (>= 0.4.0),
-                     python-neutronclient (>= 1:5.1.0),
+                     python-neutron (>= 1:7.0.0~),
+                     python-neutron-lib (>= 0.3.0),
+                     python-neutronclient (>= 1:4.2.0),
                      python-os-testr (>= 0.7.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
                      python-pbr (>= 1.8),
                      python-subunit (>= 0.0.18),
@@ -27,18 +28,18 @@
                      python-testtools (>= 1.4.0),
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
-Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-networking-l2gw?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-networking-l2gw -b debian/newton
+Standards-Version: 3.9.6
 Homepage: http://neutron.openstack.org/
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/networking-l2gw.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/openstack/networking-l2gw.git
 
 Package: python-networking-l2gw
 Architecture: all
 Section: python
 Depends: python-babel (>= 2.3.4),
-         python-neutron (>= 1:9.0.0~rc1),
-         python-neutron-lib (>= 0.4.0),
-         python-neutronclient (>= 1:5.1.0),
+         python-neutron (>= 1:7.0.0~),
+         python-neutron-lib (>= 0.3.0),
+         python-neutronclient (>= 1:4.2.0),
          python-pbr (>= 1.8),
          ${misc:Depends},
          ${python:Depends},
@@ -55,7 +56,6 @@
 Section: python
 Depends: python-networking-l2gw (= ${binary:Version}),
          ${misc:Depends},
-         ${ostack-lsb-base},
          ${python:Depends},
 Description: OpenStack virtual network service - L2 gateway agent
  Neutron provides an API to dynamically request and configure virtual networks.

## networking-l2gw 10.1.0~a2~git20170831.a8ae0e3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
neutron-lib>=1.9.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
ovsdbapp>=0.4.0 # Apache-2.0

=== debian/changelog ===
networking-l2gw (1:10.1.0~a2~git20170831.a8ae0e3-0ubuntu1) artful; urgency=medium

  * New upstream snapshot for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Thu, 31 Aug 2017 09:30:42 +0100

networking-l2gw (1:10.1.0~a2~git20170503.990c3ef-0ubuntu1) artful; urgency=medium

  * New upstream snapshot for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 03 May 2017 12:06:47 -0400

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,17 @@
                openstack-pkg-tools (>= 23~),
                python-all,
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage (>= 3.6),
                      python-hacking (>= 0.9.2),
                      python-neutron (>= 1:7.0.0~),
-                     python-neutron-lib (>= 0.3.0),
+                     python-neutron-lib (>= 1.3.0),
                      python-neutronclient (>= 1:4.2.0),
                      python-os-testr (>= 0.7.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
-                     python-pbr (>= 1.8),
+                     python-pbr (>= 2.0.0),
                      python-subunit (>= 0.0.18),
                      python-tempest-lib (>= 0.9.0),
                      python-testresources (>= 0.2.4),
@@ -38,9 +38,9 @@
 Section: python
 Depends: python-babel (>= 2.3.4),
          python-neutron (>= 1:7.0.0~),
-         python-neutron-lib (>= 0.3.0),
+         python-neutron-lib (>= 1.3.0),
          python-neutronclient (>= 1:4.2.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack virtual network service - L2 gateway extension

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d ~ -f 1)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## networking-l2gw 11.0.0

=== debian/changelog ===
networking-l2gw (1:11.0.0-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New upstream release for OpenStack Pike (LP: #1737040).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Dec 2017 09:55:32 -0500

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,18 @@
                python-sphinx (>= 1.5.1),
 Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage (>= 3.6),
+                     python-ddt (>= 1.0.1),
                      python-hacking (>= 0.9.2),
                      python-neutron (>= 1:7.0.0~),
-                     python-neutron-lib (>= 1.3.0),
-                     python-neutronclient (>= 1:4.2.0),
+                     python-neutron-lib (>= 1.9.0),
+                     python-neutronclient (>= 1:6.3.0),
                      python-os-testr (>= 0.7.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
+                     python-ovsdbapp (>= 0.4.0),
                      python-pbr (>= 2.0.0),
                      python-subunit (>= 0.0.18),
-                     python-tempest-lib (>= 0.9.0),
+                     python-tempest (>= 1:16.1.0),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
@@ -38,8 +40,9 @@
 Section: python
 Depends: python-babel (>= 2.3.4),
          python-neutron (>= 1:7.0.0~),
-         python-neutron-lib (>= 1.3.0),
-         python-neutronclient (>= 1:4.2.0),
+         python-neutron-lib (>= 1.9.0),
+         python-neutronclient (>= 1:6.3.0),
+         python-ovsdbapp (>= 0.4.0),
          python-pbr (>= 2.0.0),
          ${misc:Depends},
          ${python:Depends},

## networking-l2gw 12.0.1

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
-neutron-lib>=1.9.0 # Apache-2.0
+neutron-lib>=1.13.0 # Apache-2.0
 python-neutronclient>=6.3.0 # Apache-2.0
-ovsdbapp>=0.4.0 # Apache-2.0
+ovsdbapp>=0.8.0 # Apache-2.0

=== debian/changelog ===
networking-l2gw (1:12.0.1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Feb 2018 11:45:52 -0500

networking-l2gw (1:12.0.0~git20180223.32631dc1-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * New upstream snapshot.
  * d/p/*: Drop, no longer needed.

  [ Corey Bryant ]
  * New upstream version.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Restore OSLO_PACKAGE_VERSION that was changed on switch to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 23 Feb 2018 08:39:13 -0500

networking-l2gw (1:11.0.0-0ubuntu3) bionic; urgency=medium

  * d/rules, d/control: Switch to using stestr to run tests.
  * d/p/replace-deprecated-self.is_agent_down.patch: Cherry-pick patch from
    upstream master to replace deprecated self.is_agent_down.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Dec 2017 18:03:13 -0500

networking-l2gw (1:11.0.0-0ubuntu2) bionic; urgency=medium

  * d/gbp.conf: Switch to master branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Dec 2017 17:00:11 -0500

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-hacking (>= 0.12.0),
 python-mock (>= 2.0.0),
 python-neutron (>= 1:7.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-neutronclient (>= 1:6.3.0),
 python-os-testr (>= 1.0.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-ovsdbapp (>= 0.8.0),
 python-pbr (>= 2.0.0),
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-stestr,
 python-subunit (>= 1.0.0),
 python-tempest (>= 1:16.1.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 subunit (>= 0.0.18),
 testrepository (>= 0.0.18),
Standards-Version: 4.1.2
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/networking-l2gw.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/networking-l2gw.git

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends:
 python-networking-l2gw (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

Package: python-networking-l2gw
Architecture: all
Section: python
Depends:
 python-babel (>= 2.3.4),
 python-neutron (>= 1:7.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-neutronclient (>= 1:6.3.0),
 python-ovsdbapp (>= 0.8.0),
 python-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Layer 2 gateway extension.

=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,14 @@
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d ~ -f 1)
+export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d '~' -f 1)
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	ostestr
+	PYTHONPATH=$(CURDIR) stestr --test-path ./networking_l2gw/tests/unit run
 endif
 
 override_dh_clean:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-l2gw networking-l2gw-(\d.*)\.tar\.gz

## networking-l2gw 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
-neutron-lib>=1.13.0 # Apache-2.0
-python-neutronclient>=6.3.0 # Apache-2.0
-ovsdbapp>=0.8.0 # Apache-2.0
+neutron-lib>=1.18.0 # Apache-2.0
+python-neutronclient>=6.7.0 # Apache-2.0
+ovsdbapp>=0.10.0 # Apache-2.0
+neutron>=12.0.0 # Apache-2.0

=== debian/changelog ===
networking-l2gw (1:13.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix unit test test_list_physical_switches() (Closes: #908708).

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Sep 2018 01:13:19 +0200

networking-l2gw (1:13.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 13:53:12 +0200

networking-l2gw (1:12.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Mar 2018 21:43:42 +0000

networking-l2gw (1:11.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Standards-Version is now 4.1.1
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Nov 2017 16:04:05 +0100

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-mock,
 python3-neutron (>= 2:13.0.0~rc1),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-os-testr (>= 1.0.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 0.10.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-requests-mock (>= 1.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-l2gw
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-l2gw.git
Homepage: http://neutron.openstack.org/

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends:
 python3-networking-l2gw (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

Package: python3-networking-l2gw
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-neutron (>= 2:13.0.0~rc1),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-ovsdbapp (>= 0.10.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.6.2),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-l2gw,
Replaces:
 python-networking-l2gw,
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Layer 2 gateway extension.

=== debian/rules ===
--- 
+++ 
@@ -2,19 +2,38 @@
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d '~' -f 1)
+%:
+	dh $@ --buildsystem=python_distutils --with python3
 
-%:
-	dh $@ --buildsystem=python_distutils --with python2
+override_dh_clean:
+	dh_clean
+	rm -rf build
+
+override_dh_auto_clean:
+	python3 setup.py clean
 
 override_dh_auto_test:
+	echo "Do nothing..."
+
+override_dh_auto_build:
+	echo "Do nothing..."
+
+override_dh_auto_install:
+	echo "Do nothing..."
+
+override_dh_install:
+	for i in ${PYTHON3S}; do \
+		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
+	done
+
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) stestr --test-path ./networking_l2gw/tests/unit run
+	pkgos-dh_auto_test --no-py2 'networking_l2gw.tests.unit.*'
 endif
+	dh_install
+	dh_missing --fail-missing
 
-override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
-	rm -rf build
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 # Commands not to run
 override_dh_installcatalogs:

## networking-l2gw 14.0.0

=== requirements.txt ===
--- 
+++ 
@@ -8,3 +8,9 @@
 python-neutronclient>=6.7.0 # Apache-2.0
 ovsdbapp>=0.10.0 # Apache-2.0
 neutron>=12.0.0 # Apache-2.0
+
+# The comment below indicates this project repo is current with neutron-lib
+# and should receive neutron-lib consumption patches as they are released
+# in neutron-lib. It also implies the project will stay current with TC
+# and infra initiatives ensuring consumption patches can land.
+# neutron-lib-current

=== debian/changelog ===
networking-l2gw (1:14.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2019 16:33:45 +0200

networking-l2gw (1:14.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Standards-Version: 4.3.0 (no change).
  * Removed "Command not to run" optimization in d/rules.
  * Removed fix-test_list_physical_switches.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Apr 2019 22:12:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,35 +6,35 @@
  James Page <james.page@ubuntu.com>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
  python3-babel,
  python3-coverage,
  python3-ddt,
  python3-hacking,
  python3-mock,
- python3-neutron (>= 2:13.0.0~rc1),
- python3-neutron-lib (>= 1.18.0),
- python3-neutronclient (>= 1:6.7.0),
- python3-os-testr (>= 1.0.0),
+ python3-neutron (>= 2:14.0.2),
+ python3-neutron-lib,
+ python3-neutronclient,
+ python3-os-testr,
  python3-oslosphinx,
- python3-oslotest (>= 1:3.2.0),
- python3-ovsdbapp (>= 0.10.0),
- python3-psycopg2 (>= 2.6.2),
+ python3-oslotest,
+ python3-ovsdbapp,
+ python3-psycopg2,
  python3-pymysql,
- python3-requests-mock (>= 1.2.0),
- python3-testresources (>= 2.0.0),
+ python3-requests-mock,
+ python3-testresources,
  python3-testscenarios,
- python3-testtools (>= 2.2.0),
+ python3-testtools,
  subunit,
  testrepository,
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-l2gw
 Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-l2gw.git
 Homepage: http://neutron.openstack.org/
@@ -60,12 +60,12 @@
 Section: python
 Depends:
  python3-babel,
- python3-neutron (>= 2:13.0.0~rc1),
- python3-neutron-lib (>= 1.18.0),
- python3-neutronclient (>= 1:6.7.0),
- python3-ovsdbapp (>= 0.10.0),
- python3-pbr (>= 2.0.0),
- python3-psycopg2 (>= 2.6.2),
+ python3-neutron (>= 2:14.0.2),
+ python3-neutron-lib,
+ python3-neutronclient,
+ python3-ovsdbapp,
+ python3-pbr,
+ python3-psycopg2,
  ${misc:Depends},
  ${python3:Depends},
 Breaks:

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+UPSTREAM_GIT := https://git.openstack.org/openstack/networking-l2gw
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -34,11 +35,3 @@
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
-
-# Commands not to run
-override_dh_installcatalogs:
-override_dh_installemacsen override_dh_installifupdown:
-override_dh_installinfo override_dh_installmenu override_dh_installmime:
-override_dh_installmodules override_dh_installlogcheck:
-override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
-override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## networking-l2gw 15.0.0

=== debian/changelog ===
networking-l2gw (1:15.0.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 11 Oct 2019 14:32:55 +0000

networking-l2gw (1:15.0.0-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 15.x series.
  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Oct 2019 14:50:39 +0100

networking-l2gw (1:15.0.0~b1~git2019061309.1d9d37a-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 13:58:24 +0100

networking-l2gw (1:14.0.0-0ubuntu1) disco; urgency=medium

  * d/watch: Track 14.x series.
  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:43:43 +0100

networking-l2gw (1:14.0.0~b1~git2019013126.259d558-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:34:10 +0000

networking-l2gw (1:14.0.0~b1~git2019013016.259d558-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 16:09:29 -0500

networking-l2gw (1:14.0.0~b1~git2018111639.e124082-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python*: Drop Python 2 support.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 12:06:20 +0000

networking-l2gw (1:13.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Run tests with pkgos-dh_auto_test.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 08:05:45 -0400

networking-l2gw (1:13.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/p/fix-test.patch: Fix failing test to adhere to OVS 2.10.
  * d/rules: Add python3.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Aug 2018 11:36:31 -0400

networking-l2gw (1:13.0.0~a1~git2018081633.58c500f-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot for OpenStack Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Aug 2018 10:32:31 +0100

networking-l2gw (1:13.0.0~a1~git2018062108.5517dc2-0ubuntu1) cosmic; urgency=medium

  * New upstream snapshot for OpenStack Rocky.
  * Align (Build-)Depends with upstream.
  * Add Python 3 support:
    - d/control: Add (Build-)Depends for py3.
    - d/control: Add python3- and -common packages.
    - d/rules: Use pkgos-dh_auto_install and enable python3 dh.
    - d/networking-l2gateway-common: Install all configuration files.
    - d/python{3}-networking-l2gw.{postrm,postinst,prerm}: Manage
      agent binary using alternatives.
    - d/control: Deal with move of binaries and configuration files.
  * d/control: Update Vcs-* fields.
  * d/rules: Switch back to using stestr directory.

 -- James Page <james.page@ubuntu.com>  Mon, 25 Jun 2018 11:21:57 +0100

=== debian/control ===
Source: networking-l2gw
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-neutron (>= 2:15.0.0~),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-os-testr (>= 1.0.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 0.10.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-requests-mock (>= 1.2.0),
 python3-stestr,
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:16.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-l2gw
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-l2gw
Homepage: http://neutron.openstack.org/

Package: networking-l2gw-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides shared configuration files.

Package: neutron-l2gateway-agent
Architecture: all
Section: python
Depends:
 python3-networking-l2gw (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack virtual network service - L2 gateway agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Layer 2 gateway agent.

Package: python3-networking-l2gw
Architecture: all
Section: python
Depends:
 networking-l2gw-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-neutron (>= 2:15.0.0~),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-ovsdbapp (>= 0.10.0),
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 neutron-l2gateway-agent (<< 1:13.0.0~a1~git2018062108.5517dc2-0ubuntu1~),
Replaces:
 neutron-l2gateway-agent (<< 1:13.0.0~a1~git2018062108.5517dc2-0ubuntu1~),
Description: OpenStack virtual network service - L2 gateway extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3 module for the Layer 2 gateway extension.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*-networking-l2gw/usr/etc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 networking_l2gw.tests.unit.*
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .stestr

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## networking-l2gw 16.0.0~b3~git2020032509.d57ae1a

=== requirements.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
-neutron-lib>=1.18.0 # Apache-2.0
+neutron-lib>=1.29.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
 ovsdbapp>=0.10.0 # Apache-2.0
-neutron>=12.0.0 # Apache-2.0
+neutron>=13.0.0 # Apache-2.0
 
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released

=== debian/changelog ===
networking-l2gw (1:16.0.0~b3~git2020032509.d57ae1a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 10:11:34 +0000

networking-l2gw (1:16.0.0~b1~git2019121711.f16915d-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 17 Dec 2019 12:11:59 +0100

## networking-l2gw 16.0.0~git2020051415.30f4209

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.20.0 # Apache-2.0

=== debian/changelog ===
networking-l2gw (1:16.0.0~git2020051415.30f4209-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 15:29:10 -0400

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,6 @@
  debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools (>= 23~),
- python-all,
- python-setuptools,
  python3-all,
  python3-setuptools,
  python3-sphinx (>= 1.6.5),
@@ -22,14 +20,14 @@
  python3-hacking (>= 0.12.0),
  python3-mock (>= 2.0.0),
  python3-neutron (>= 2:15.0.0~),
- python3-neutron-lib (>= 1.18.0),
+ python3-neutron-lib (>= 1.29.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-os-testr (>= 1.0.0),
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
  python3-ovsdbapp (>= 0.10.0),
  python3-pbr (>= 2.0.0),
- python3-psycopg2 (>= 2.6.2),
+ python3-psycopg2 (>= 2.7.5),
  python3-pymysql (>= 0.7.6),
  python3-requests-mock (>= 1.2.0),
  python3-stestr,
@@ -78,7 +76,7 @@
  networking-l2gw-common (= ${binary:Version}),
  python3-babel (>= 2.3.4),
  python3-neutron (>= 2:15.0.0~),
- python3-neutron-lib (>= 1.18.0),
+ python3-neutron-lib (>= 1.29.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-ovsdbapp (>= 0.10.0),
  python3-pbr (>= 2.0.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-l2gw networking-l2gw-(15\.\d.*)\.tar\.gz
